%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define staticname	%mklibname %{name} -d -s

Summary:	Shell command to back up directory trees and files
Name:		dar
Version:	2.3.8
Release:	%mkrel 1
URL:		http://dar.linux.free.fr/
License:	GPLv2+
Group:		Archiving/Backup
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://nchc.dl.sourceforge.net/sourceforge/dar/%{name}-%{version}.tar.gz
BuildRequires:	zlib-devel 
BuildRequires:	gcc-c++ 
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-static-devel 
BuildRequires:	libattr-devel 
BuildRequires:	libacl-devel
BuildRequires:	glibc-static-devel
BuildRequires:	openssl-static-devel
BuildRequires:	doxygen

%description
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%package -n 	%{libname}
Group:		System/Libraries
Summary:	Shared library for %{name}
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.


%package -n	%{develname}
Group:		Development/Other
Summary:	Development headers for %{name}
Requires:	%libname = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.


%package -n	%{staticname}
Group:		Development/Other
Summary:	Static development headers for %{name}
Requires:	%{libname} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{staticname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%prep
%setup -q 

%build
%configure2_5x --disable-upx 
%make

%install
rm -rf %{buildroot}

# fix-up docs
install -m 644 doc/samples/README README.samples

%makeinstall_std

%find_lang %{name}

# mv dar_static to /sbin , just in case :-) 
install -d %{buildroot}/sbin
install %{buildroot}%{_bindir}/dar_static  %{buildroot}/sbin/
rm -f %{buildroot}%{_bindir}/dar_static 

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun  -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README THANKS TODO
%doc README.samples doc/samples/cdbackup.sh doc/samples/darrc_sample doc/samples/sample1.txt
%doc doc/mini-howto/dar-differential-backup-mini-howto.*.html
%{_bindir}/*
/sbin/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n %{staticname}
%defattr (-,root,root)
%{_libdir}/*.a


%changelog
* Sat Jun 21 2008 Funda Wang <fundawang@mandriva.org> 2.3.8-1mdv2009.0
+ Revision: 227663
- New version 2.3.8

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.com> 2.3.7-1mdv2008.1
+ Revision: 177114
- protect major in file list
- minor spec cleanups
- new release 2.3.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Thu Dec 06 2007 Adam Williamson <awilliamson@mandriva.com> 2.3.6-1mdv2008.1
+ Revision: 115797
- new release 2.3.6
- new license policy
- remove a workaround that was introduced for kdar, as kdar is basically dead

* Mon Aug 27 2007 Funda Wang <fundawang@mandriva.org> 2.3.5-1mdv2008.0
+ Revision: 71738
- New version 2.3.5

* Thu Jul 12 2007 Adam Williamson <awilliamson@mandriva.com> 2.3.4-1mdv2008.0
+ Revision: 51677
- spec clean (from frederik himpe)
- new release 2.3.4 (from frederik himpe)

* Mon Jun 11 2007 Adam Williamson <awilliamson@mandriva.com> 2.3.3-2mdv2008.0
+ Revision: 38087
- include macro_tools.hpp in libdar-devel for kdar

* Sun Jun 10 2007 Adam Williamson <awilliamson@mandriva.com> 2.3.3-1mdv2008.0
+ Revision: 37738
- move .pc file to devel package
- clean and correct provides
- clean descriptions
- go with the new devel policy
- correct major (4)
- new release 2.3.3


* Mon Aug 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.1-2mdv2007.0
- Fix rpmlint warnings

* Sat Jul 01 2006 Emmanuel Andry <eandry@mandriva.org> 2.3.1-1mdv2007.0
- New release 2.3.1

* Sun May 07 2006 Jerome Soyer <saispo@mandriva.org> 2.3.0-1mdk
- New release 2.3.0
- Fix doc build

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 2.2.5-1mdk
- 2.2.5

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-3mdk 
- Rebuild with latest gcc

* Sun Jun 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-2mdk 
- Set executable bit on par scripts

* Sun Jun 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-1mdk
- Release 2.2.2

* Sun May 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.1-2mdk 
- Fix buildrequires

* Sun May 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.1-1mdk 
- Release 2.2.1
- clean specfile
- build with EA support now

* Tue Sep 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.1.5-2mdk
- fix group and post/pre scripts

* Tue Sep 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.1.5-1mdk
- initial contrib package

